> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.callix.dev.br/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.callix.dev.br/_mcp/server.

# List

GET https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers

Lista os Números WhatsApp (inbound numbers). Sem filtros específicos documentados na doc viva.

Suporta os parâmetros universais JSON:API (paginação, ordenação, `include`, sparse fieldsets) — veja as [convenções](/).

Reference: https://docs.callix.dev.br/api-reference/chat-inbound-numbers/get-chat-inbound-numbers

## Authentication

- `Authorization` header (bearer token, required) — Token de API da conta do tenant.

## Request

### Query parameters

- `page[limit]` (string, optional) — integer, opcional. Quantidade máxima de itens por página.
- `page[offset]` (string, optional) — integer, opcional. Deslocamento (quantos itens pular) para paginação.

## Response

### 200

Sucesso.

## Examples

**Response**

```json
{
  "data": [
    {
      "attributes": {
        "phone": "+5511987610001"
      },
      "id": "1",
      "type": "chat_inbound_numbers"
    },
    {
      "attributes": {
        "phone": "+5511987620001"
      },
      "id": "2",
      "type": "chat_inbound_numbers"
    }
  ]
}
```

**SDK Code**

```python Chat Inbound Numbers_get_chat_inbound_numbers_example
import requests

url = "https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Chat Inbound Numbers_get_chat_inbound_numbers_example
const url = 'https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Chat Inbound Numbers_get_chat_inbound_numbers_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Chat Inbound Numbers_get_chat_inbound_numbers_example
require 'uri'
require 'net/http'

url = URI("https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Chat Inbound Numbers_get_chat_inbound_numbers_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Chat Inbound Numbers_get_chat_inbound_numbers_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Chat Inbound Numbers_get_chat_inbound_numbers_example
using RestSharp;

var client = new RestClient("https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Chat Inbound Numbers_get_chat_inbound_numbers_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sua-conta.callix.com.br/api/v1/chat_inbound_numbers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```